## opensbi 0.6

=== Makefile ===
#
# SPDX-License-Identifier: BSD-2-Clause
#
# Copyright (c) 2019 Western Digital Corporation or its affiliates.
#
# Authors:
#   Anup Patel <anup.patel@wdc.com>
#

# Select Make Options:
# o  Do not use make's built-in rules
# o  Do not print "Entering directory ...";
MAKEFLAGS += -r --no-print-directory

# Readlink -f requires GNU readlink
ifeq ($(shell uname -s),Darwin)
READLINK ?= greadlink
else
READLINK ?= readlink
endif

# Find out source, build, and install directories
src_dir=$(CURDIR)
ifdef O
 build_dir=$(shell $(READLINK) -f $(O))
else
 build_dir=$(CURDIR)/build
endif
ifeq ($(build_dir),$(CURDIR))
$(error Build directory is same as source directory.)
endif
ifdef I
 install_dir=$(shell $(READLINK) -f $(I))
else
 install_dir=$(CURDIR)/install
endif
ifeq ($(install_dir),$(CURDIR))
$(error Install directory is same as source directory.)
endif
ifeq ($(install_dir),$(build_dir))
$(error Install directory is same as build directory.)
endif
ifdef PLATFORM_DIR
  platform_dir_path=$(shell $(READLINK) -f $(PLATFORM_DIR))
  ifdef PLATFORM
    platform_parent_dir=$(platform_dir_path)
  else
    PLATFORM=$(shell basename $(platform_dir_path))
    platform_parent_dir=$(subst $(PLATFORM),,$(platform_dir_path))
  endif
else
 platform_parent_dir=$(src_dir)/platform
endif

# Check if verbosity is ON for build process
CMD_PREFIX_DEFAULT := @
ifeq ($(V), 1)
	CMD_PREFIX :=
else
	CMD_PREFIX := $(CMD_PREFIX_DEFAULT)
endif

# Setup path of directories
export platform_subdir=$(PLATFORM)
export platform_src_dir=$(platform_parent_dir)/$(platform_subdir)
export platform_build_dir=$(build_dir)/platform/$(platform_subdir)
export include_dir=$(CURDIR)/include
export libsbi_dir=$(CURDIR)/lib/sbi
export libsbiutils_dir=$(CURDIR)/lib/utils
export firmware_dir=$(CURDIR)/firmware

# Find library version
OPENSBI_VERSION_MAJOR=`grep "define OPENSBI_VERSION_MAJOR" $(include_dir)/sbi/sbi_version.h | sed 's/.*MAJOR.*\([0-9][0-9]*\)/\1/'`
OPENSBI_VERSION_MINOR=`grep "define OPENSBI_VERSION_MINOR" $(include_dir)/sbi/sbi_version.h | sed 's/.*MINOR.*\([0-9][0-9]*\)/\1/'`
OPENSBI_VERSION_GIT=$(shell if [ -d $(src_dir)/.git ]; then git describe 2> /dev/null; fi)

# Setup compilation commands
ifdef CROSS_COMPILE
CC		=	$(CROSS_COMPILE)gcc
CPP		=	$(CROSS_COMPILE)cpp
AR		=	$(CROSS_COMPILE)ar
LD		=	$(CROSS_COMPILE)ld
OBJCOPY		=	$(CROSS_COMPILE)objcopy
else
CC		?=	gcc
CPP		?=	cpp
AR		?=	ar
LD		?=	ld
OBJCOPY		?=	objcopy
endif
AS		=	$(CC)
DTC		=	dtc

# Guess the compillers xlen
OPENSBI_CC_XLEN := $(shell TMP=`$(CC) -dumpmachine | sed 's/riscv\([0-9][0-9]\).*/\1/'`; echo $${TMP})

# Setup platform XLEN
ifndef PLATFORM_RISCV_XLEN
  ifeq ($(OPENSBI_CC_XLEN), 32)
    PLATFORM_RISCV_XLEN = 32
  else
    PLATFORM_RISCV_XLEN = 64
  endif
endif

# Setup list of objects.mk files
ifdef PLATFORM
platform-object-mks=$(shell if [ -d $(platform_src_dir)/ ]; then find $(platform_src_dir) -iname "objects.mk" | sort -r; fi)
endif
libsbi-object-mks=$(shell if [ -d $(libsbi_dir) ]; then find $(libsbi_dir) -iname "objects.mk" | sort -r; fi)
libsbiutils-object-mks=$(shell if [ -d $(libsbiutils_dir) ]; then find $(libsbiutils_dir) -iname "objects.mk" | sort -r; fi)
firmware-object-mks=$(shell if [ -d $(firmware_dir) ]; then find $(firmware_dir) -iname "objects.mk" | sort -r; fi)

# Include platform specifig config.mk
ifdef PLATFORM
include $(platform_src_dir)/config.mk
endif

# Include all object.mk files
ifdef PLATFORM
include $(platform-object-mks)
endif
include $(libsbi-object-mks)
include $(libsbiutils-object-mks)
include $(firmware-object-mks)

# Setup list of objects
libsbi-objs-path-y=$(foreach obj,$(libsbi-objs-y),$(build_dir)/lib/sbi/$(obj))
libsbiutils-objs-path-y=$(foreach obj,$(libsbiutils-objs-y),$(build_dir)/lib/utils/$(obj))
ifdef PLATFORM
platform-objs-path-y=$(foreach obj,$(platform-objs-y),$(platform_build_dir)/$(obj))
platform-dtb-path-y=$(foreach obj,$(platform-dtb-y),$(platform_build_dir)/$(obj))
firmware-bins-path-y=$(foreach bin,$(firmware-bins-y),$(platform_build_dir)/firmware/$(bin))
endif
firmware-elfs-path-y=$(firmware-bins-path-y:.bin=.elf)
firmware-objs-path-y=$(firmware-bins-path-y:.bin=.o)

# Setup list of deps files for objects
deps-y=$(platform-objs-path-y:.o=.dep)
deps-y+=$(libsbi-objs-path-y:.o=.dep)
deps-y+=$(libsbiutils-objs-path-y:.o=.dep)
deps-y+=$(firmware-objs-path-y:.o=.dep)

# Setup platform ABI, ISA and Code Model
ifndef PLATFORM_RISCV_ABI
  ifeq ($(PLATFORM_RISCV_XLEN), 32)
    PLATFORM_RISCV_ABI = ilp$(PLATFORM_RISCV_XLEN)
  else
    PLATFORM_RISCV_ABI = lp$(PLATFORM_RISCV_XLEN)
  endif
endif
ifndef PLATFORM_RISCV_ISA
  PLATFORM_RISCV_ISA = rv$(PLATFORM_RISCV_XLEN)imafdc
endif
ifndef PLATFORM_RISCV_CODE_MODEL
  PLATFORM_RISCV_CODE_MODEL = medany
endif

# Setup compilation commands flags
GENFLAGS	=	-I$(platform_src_dir)/include
GENFLAGS	+=	-I$(include_dir)
ifneq ($(OPENSBI_VERSION_GIT),)
GENFLAGS	+=	-DOPENSBI_VERSION_GIT="\"$(OPENSBI_VERSION_GIT)\""
endif
GENFLAGS	+=	$(libsbiutils-genflags-y)
GENFLAGS	+=	$(platform-genflags-y)
GENFLAGS	+=	$(firmware-genflags-y)

CFLAGS		=	-g -Wall -Werror -ffreestanding -nostdlib -fno-strict-aliasing -O2
CFLAGS		+=	-fno-omit-frame-pointer -fno-optimize-sibling-calls
CFLAGS		+=	-mno-save-restore -mstrict-align
CFLAGS		+=	-mabi=$(PLATFORM_RISCV_ABI) -march=$(PLATFORM_RISCV_ISA)
CFLAGS		+=	-mcmodel=$(PLATFORM_RISCV_CODE_MODEL)
CFLAGS		+=	$(GENFLAGS)
CFLAGS		+=	$(platform-cflags-y)
CFLAGS		+=	$(firmware-cflags-y)
CFLAGS		+=	-fno-pie -no-pie

CPPFLAGS	+=	$(GENFLAGS)
CPPFLAGS	+=	$(platform-cppflags-y)
CPPFLAGS	+=	$(firmware-cppflags-y)

ASFLAGS		=	-g -Wall -nostdlib -D__ASSEMBLY__
ASFLAGS		+=	-fno-omit-frame-pointer -fno-optimize-sibling-calls
ASFLAGS		+=	-mno-save-restore -mstrict-align
ASFLAGS		+=	-mabi=$(PLATFORM_RISCV_ABI) -march=$(PLATFORM_RISCV_ISA)
ASFLAGS		+=	-mcmodel=$(PLATFORM_RISCV_CODE_MODEL)
ASFLAGS		+=	$(GENFLAGS)
ASFLAGS		+=	$(platform-asflags-y)
ASFLAGS		+=	$(firmware-asflags-y)

ARFLAGS		=	rcs

ELFFLAGS	+=	-Wl,--build-id=none -N -static-libgcc -lgcc
ELFFLAGS	+=	$(platform-ldflags-y)
ELFFLAGS	+=	$(firmware-ldflags-y)

MERGEFLAGS	+=	-r
MERGEFLAGS	+=	-b elf$(PLATFORM_RISCV_XLEN)-littleriscv
MERGEFLAGS	+=	-m elf$(PLATFORM_RISCV_XLEN)lriscv

DTCFLAGS	=	-O dtb

# Setup functions for compilation
define dynamic_flags
-I$(shell dirname $(2)) -D__OBJNAME__=$(subst -,_,$(shell basename $(1) .o))
endef
merge_objs = $(CMD_PREFIX)mkdir -p `dirname $(1)`; \
	     echo " MERGE     $(subst $(build_dir)/,,$(1))"; \
	     $(LD) $(MERGEFLAGS) $(2) -o $(1)
merge_deps = $(CMD_PREFIX)mkdir -p `dirname $(1)`; \
	     echo " MERGE-DEP $(subst $(build_dir)/,,$(1))"; \
	     cat $(2) > $(1)
copy_file =  $(CMD_PREFIX)mkdir -p `dirname $(1)`; \
	     echo " COPY      $(subst $(build_dir)/,,$(1))"; \
	     cp -f $(2) $(1)
inst_file =  $(CMD_PREFIX)mkdir -p `dirname $(1)`; \
	     echo " INSTALL   $(subst $(install_dir)/,,$(1))"; \
	     cp -f $(2) $(1)
inst_file_list = $(CMD_PREFIX)if [ ! -z "$(4)" ]; then \
	     mkdir -p $(1)/$(3); \
	     for file in $(4) ; do \
	     rel_file=`echo $$file | sed -e 's@$(2)/$(3)/@@'`; \
	     dest_file=$(1)"/"$(3)"/"`echo $$rel_file`; \
	     dest_dir=`dirname $$dest_file`; \
	     echo " INSTALL   "$(3)"/"`echo $$rel_file`; \
	     mkdir -p $$dest_dir; \
	     cp -f $$file $$dest_file; \
	     done \
	     fi
inst_header_dir =  $(CMD_PREFIX)mkdir -p $(1); \
	     echo " INSTALL   $(subst $(install_dir)/,,$(1))"; \
	     cp -rf $(2) $(1)
compile_cpp = $(CMD_PREFIX)mkdir -p `dirname $(1)`; \
	     echo " CPP       $(subst $(build_dir)/,,$(1))"; \
	     $(CPP) $(CPPFLAGS) -x c $(2) | grep -v "\#" > $(1)
compile_cc_dep = $(CMD_PREFIX)mkdir -p `dirname $(1)`; \
	     echo " CC-DEP    $(subst $(build_dir)/,,$(1))"; \
	     printf %s `dirname $(1)`/  > $(1) && \
	     $(CC) $(CFLAGS) $(call dynamic_flags,$(1),$(2))   \
	       -MM $(2) >> $(1) || rm -f $(1)
compile_cc = $(CMD_PREFIX)mkdir -p `dirname $(1)`; \
	     echo " CC        $(subst $(build_dir)/,,$(1))"; \
	     $(CC) $(CFLAGS) $(call dynamic_flags,$(1),$(2)) -c $(2) -o $(1)
compile_as_dep = $(CMD_PREFIX)mkdir -p `dirname $(1)`; \
	     echo " AS-DEP    $(subst $(build_dir)/,,$(1))"; \
	     printf %s `dirname $(1)`/ > $(1) && \
	     $(AS) $(ASFLAGS) $(call dynamic_flags,$(1),$(2)) \
	       -MM $(2) >> $(1) || rm -f $(1)
compile_as = $(CMD_PREFIX)mkdir -p `dirname $(1)`; \
	     echo " AS        $(subst $(build_dir)/,,$(1))"; \
	     $(AS) $(ASFLAGS) $(call dynamic_flags,$(1),$(2)) -c $(2) -o $(1)
compile_elf = $(CMD_PREFIX)mkdir -p `dirname $(1)`; \
	     echo " ELF       $(subst $(build_dir)/,,$(1))"; \
	     $(CC) $(CFLAGS) $(3) $(ELFFLAGS) -Wl,-T$(2) -o $(1)
compile_ar = $(CMD_PREFIX)mkdir -p `dirname $(1)`; \
	     echo " AR        $(subst $(build_dir)/,,$(1))"; \
	     $(AR) $(ARFLAGS) $(1) $(2)
compile_objcopy = $(CMD_PREFIX)mkdir -p `dirname $(1)`; \
	     echo " OBJCOPY   $(subst $(build_dir)/,,$(1))"; \
	     $(OBJCOPY) -S -O binary $(2) $(1)
compile_dts = $(CMD_PREFIX)mkdir -p `dirname $(1)`; \
	     echo " DTC       $(subst $(build_dir)/,,$(1))"; \
	     $(DTC) $(DTCFLAGS) -o $(1) $(2)

targets-y  = $(build_dir)/lib/libsbi.a
targets-y  += $(build_dir)/lib/libsbiutils.a
ifdef PLATFORM
targets-y += $(platform_build_dir)/lib/libplatsbi.a
targets-y += $(platform-dtb-path-y)
endif
targets-y += $(firmware-bins-path-y)

# Default rule "make" should always be first rule
.PHONY: all
all: $(targets-y)

# Preserve all intermediate files
.SECONDARY:

$(build_dir)/%.bin: $(build_dir)/%.elf
	$(call compile_objcopy,$@,$<)

$(build_dir)/%.elf: $(build_dir)/%.o $(build_dir)/%.elf.ld $(platform_build_dir)/lib/libplatsbi.a
	$(call compile_elf,$@,$@.ld,$< $(platform_build_dir)/lib/libplatsbi.a)

$(platform_build_dir)/%.ld: $(src_dir)/%.ldS
	$(call compile_cpp,$@,$<)

$(build_dir)/lib/libsbi.a: $(libsbi-objs-path-y)
	$(call compile_ar,$@,$^)

$(build_dir)/lib/libsbiutils.a: $(libsbi-objs-path-y) $(libsbiutils-objs-path-y)
	$(call compile_ar,$@,$^)

$(platform_build_dir)/lib/libplatsbi.a: $(libsbi-objs-path-y) $(libsbiutils-objs-path-y) $(platform-objs-path-y)
	$(call compile_ar,$@,$^)

$(build_dir)/%.dep: $(src_dir)/%.c
	$(call compile_cc_dep,$@,$<)

$(build_dir)/%.o: $(src_dir)/%.c
	$(call compile_cc,$@,$<)

$(build_dir)/%.dep: $(src_dir)/%.S
	$(call compile_as_dep,$@,$<)

$(build_dir)/%.o: $(src_dir)/%.S
	$(call compile_as,$@,$<)

$(platform_build_dir)/%.dep: $(platform_src_dir)/%.c
	$(call compile_cc_dep,$@,$<)

$(platform_build_dir)/%.o: $(platform_src_dir)/%.c
	$(call compile_cc,$@,$<)

$(platform_build_dir)/%.dep: $(platform_src_dir)/%.S
	$(call compile_as_dep,$@,$<)

$(platform_build_dir)/%.o: $(platform_src_dir)/%.S
	$(call compile_as,$@,$<)

$(platform_build_dir)/%.dep: $(src_dir)/%.c
	$(call compile_cc_dep,$@,$<)

$(platform_build_dir)/%.o: $(src_dir)/%.c
	$(call compile_cc,$@,$<)

$(platform_build_dir)/%.dep: $(src_dir)/%.S
	$(call compile_as_dep,$@,$<)

$(platform_build_dir)/%.o: $(src_dir)/%.S
	$(call compile_as,$@,$<)

$(build_dir)/%.dtb: $(src_dir)/%.dts
	$(call compile_dts,$@,$<)

# Rule for "make docs"
$(build_dir)/docs/latex/refman.pdf: $(build_dir)/docs/latex/refman.tex
	$(CMD_PREFIX)mkdir -p $(build_dir)/docs
	$(CMD_PREFIX)$(MAKE) -C $(build_dir)/docs/latex
$(build_dir)/docs/latex/refman.tex: $(build_dir)/docs/doxygen.cfg
	$(CMD_PREFIX)mkdir -p $(build_dir)/docs
	$(CMD_PREFIX)doxygen $(build_dir)/docs/doxygen.cfg
$(build_dir)/docs/doxygen.cfg: $(src_dir)/docs/doxygen.cfg
	$(CMD_PREFIX)mkdir -p $(build_dir)/docs
	$(CMD_PREFIX)cat docs/doxygen.cfg | sed -e "s#@@SRC_DIR@@#$(src_dir)#" -e "s#@@BUILD_DIR@@#$(build_dir)#" -e "s#@@OPENSBI_MAJOR@@#$(OPENSBI_VERSION_MAJOR)#" -e "s#@@OPENSBI_MINOR@@#$(OPENSBI_VERSION_MINOR)#" > $(build_dir)/docs/doxygen.cfg
.PHONY: docs
docs: $(build_dir)/docs/latex/refman.pdf

# Dependency files should only be included after default Makefile rules
# They should not be included for any "xxxconfig" or "xxxclean" rule
all-deps-1 = $(if $(findstring config,$(MAKECMDGOALS)),,$(deps-y))
all-deps-2 = $(if $(findstring clean,$(MAKECMDGOALS)),,$(all-deps-1))

## opensbi 0.4

=== debian/changelog ===
opensbi (0.4-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright: Update for relocated files.
  * debian/control: Update Standards-Version to 4.4.0, no changes.

 -- Vagrant Cascadian <vagrant@debian.org>  Sun, 07 Jul 2019 12:06:20 -0700

opensbi (0.3+69.b6ea152-1) experimental; urgency=medium

  [ Vagrant Cascadian ]
  * debian/watch: Fix mangling of upstream filename.
  * Add README.source and git-snapshot script to generate git snapshot
    tarballs.
  * debian/rules:
    - Add support for DEB_BUILD_OPTIONS=terse.
    - Use V=1 and V=0 for verbose or terse builds instead of passing
      debug argument to make.

  [ Karsten Merker ]
  * Update to upstream commit b6ea152df25016470f27a05af58e4fabef3c7e40
    which includes fixes necessary for proper operation with kernel
    5.2-rc1 and newer.
  * Include CONTRIBUTORS.md as part of the documentation.

  [ Vagrant Cascadian ]
  * debian/control: Update Vcs-* to use "opensbi-team" repository.

 -- Vagrant Cascadian <vagrant@debian.org>  Sun, 09 Jun 2019 11:20:35 -0700

opensbi (0.3+61.392749f-1) experimental; urgency=low

  * Initial release based on git commit 392749f (Closes: #928724).

 -- Vagrant Cascadian <vagrant@debian.org>  Sun, 12 May 2019 19:40:04 -0700

=== debian/control ===
Source: opensbi
Section: misc
Priority: optional
Maintainer: Vagrant Cascadian <vagrant@debian.org>
Uploaders: Karsten Merker <merker@debian.org>
Build-Depends: debhelper-compat (=12),
 gcc-riscv64-linux-gnu,
Standards-Version: 4.4.0
Vcs-Browser: https://salsa.debian.org/opensbi-team/opensbi
Vcs-Git: https://salsa.debian.org/opensbi-team/opensbi.git -b debian/master
Homepage: https://github.com/riscv/opensbi

Package: opensbi
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: RISC-V Open Source Supervisor Binary Interface
 An open-source reference implementation of the RISC-V SBI
 specifications for platform-specific firmwares executing in M-mode.
 .
 The following firmware platforms are provided:
 qemu/sifive_u
 qemu/virt
 sifive/fu540

=== debian/rules ===
#!/usr/bin/make -f

# Enable verbose build by default, disable when terse is specified.
ifeq (,$(filter terse,$(DEB_BUILD_OPTIONS)))
VERBOSE=1
else
VERBOSE=0
endif

%:
	dh $@

override_dh_auto_build:
	# Always set CROSS_COMPILE, which also works for native builds.
	# Strip binaries, since dh_strip may not be called for arch:all.
	for target in qemu/virt qemu/sifive_u sifive/fu540 ; do \
		CROSS_COMPILE=riscv64-linux-gnu- make \
			V=$(VERBOSE) \
			FW_PAYLOAD=n \
			PLATFORM=$${target} ; \
		for elffile in build/platform/$${target}/firmware/fw_*.elf ; do \
			riscv64-linux-gnu-strip --remove-section=.comment \
				--remove-section=.note \
				$${elffile} ; \
		done ; \
	done

override_dh_installdocs:
	dh_installdocs --exclude=doxygen.cfg

## opensbi 0.5

=== debian/changelog ===
opensbi (0.5-1) unstable; urgency=medium

  * New upstream version.
  * Update debian/copyright.
  * debian/control:
    - Set Rules-Requires-Root to "no".
    - Set Standards-Version to 4.4.1.

 -- Vagrant Cascadian <vagrant@debian.org>  Fri, 11 Oct 2019 23:02:51 -0700

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,8 @@
 Uploaders: Karsten Merker <merker@debian.org>
 Build-Depends: debhelper-compat (=12),
  gcc-riscv64-linux-gnu,
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
+Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/opensbi-team/opensbi
 Vcs-Git: https://salsa.debian.org/opensbi-team/opensbi.git -b debian/master
 Homepage: https://github.com/riscv/opensbi

## opensbi 0.6

=== debian/changelog ===
opensbi (0.6-1) unstable; urgency=medium

  * New upstream version.
  * debian/control: Update Standards-Version to 4.5.0.
  * Drop qemu/sifive_u target which was removed upstream.

 -- Vagrant Cascadian <vagrant@debian.org>  Wed, 26 Feb 2020 10:37:09 -0800

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Karsten Merker <merker@debian.org>
 Build-Depends: debhelper-compat (=12),
  gcc-riscv64-linux-gnu,
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/opensbi-team/opensbi
 Vcs-Git: https://salsa.debian.org/opensbi-team/opensbi.git -b debian/master
@@ -19,6 +19,5 @@
  specifications for platform-specific firmwares executing in M-mode.
  .
  The following firmware platforms are provided:
- qemu/sifive_u
  qemu/virt
  sifive/fu540

=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,7 @@
 override_dh_auto_build:
 	# Always set CROSS_COMPILE, which also works for native builds.
 	# Strip binaries, since dh_strip may not be called for arch:all.
-	for target in qemu/virt qemu/sifive_u sifive/fu540 ; do \
+	for target in qemu/virt sifive/fu540 ; do \
 		CROSS_COMPILE=riscv64-linux-gnu- make \
 			V=$(VERBOSE) \
 			FW_PAYLOAD=n \

=== debian/watch ===
version=4
opts=filenamemangle=s/\/(.*)v/@PACKAGE@-/ \
   https://github.com/riscv/@PACKAGE@/releases .*/v@ANY_VERSION@.tar.gz

## opensbi 0.8

=== debian/changelog ===
opensbi (0.8-1) unstable; urgency=medium

  * New upstream version.
  * u-boot-qemu: Update for transition from "qemu/virt" to "generic"
    platform.
  * debian/control: Update to debhelper compatibility 13.

 -- Vagrant Cascadian <vagrant@debian.org>  Sun, 05 Jul 2020 17:01:32 -0700

opensbi (0.7-1) unstable; urgency=medium

  * New upstream version.
  * debian/copyright: Update.

 -- Vagrant Cascadian <vagrant@debian.org>  Mon, 18 May 2020 15:37:00 -0700

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Vagrant Cascadian <vagrant@debian.org>
 Uploaders: Karsten Merker <merker@debian.org>
-Build-Depends: debhelper-compat (=12),
+Build-Depends: debhelper-compat (=13),
  gcc-riscv64-linux-gnu,
 Standards-Version: 4.5.0
 Rules-Requires-Root: no
@@ -19,5 +19,5 @@
  specifications for platform-specific firmwares executing in M-mode.
  .
  The following firmware platforms are provided:
- qemu/virt
+ generic
  sifive/fu540

## opensbi 0.9

=== debian/changelog ===
opensbi (0.9-2~ubuntu0.20.04.2) focal-security; urgency=medium

  * No-change rebuild in the -security pocket.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 25 Nov 2022 10:03:23 -0500

opensbi (0.9-2~ubuntu0.20.04.1) focal; urgency=medium

  * Backport to focal (LP: #1937277)
    - preserve qemu/virt and sifive/fu540 as a symlink to generic
    - use debhelper-compat 12, as 13 did not make into focal

 -- Heinrich Schuchardt <heinrich.schuchardt@canonical.com>  Fri, 23 Jul 2021 10:00:34 +0200

opensbi (0.9-2ubuntu1) impish; urgency=medium

  * Merge from debian experimental, remaining changes:
    - Import meta-sifive patch for fu740 CIP 1200 errata.

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Tue, 20 Jul 2021 12:13:09 +0100

opensbi (0.9-2) experimental; urgency=medium

  * debian/control: Set Multi-Arch: foreign.
  * Drop sifive/fu540 platform, which is deprecated by the "generic"
    platform and will be dropped from future upstream versions.
  * Install fw_*.bin.
  * debian/control: Remove explicit branch from Vcs-Git header.

 -- Vagrant Cascadian <vagrant@debian.org>  Mon, 07 Jun 2021 20:08:46 -0700

opensbi (0.9-1) unstable; urgency=medium

  * New upstream version.

 -- Vagrant Cascadian <vagrant@debian.org>  Sun, 24 Jan 2021 16:37:16 -0800

=== debian/control ===
Source: opensbi
Section: misc
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Vagrant Cascadian <vagrant@debian.org>
Uploaders: Karsten Merker <merker@debian.org>
Build-Depends: debhelper-compat (=12),
 gcc-riscv64-linux-gnu,
Standards-Version: 4.5.0
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/opensbi-team/opensbi
Vcs-Git: https://salsa.debian.org/opensbi-team/opensbi.git
Homepage: https://github.com/riscv/opensbi

Package: opensbi
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: RISC-V Open Source Supervisor Binary Interface
 An open-source reference implementation of the RISC-V SBI
 specifications for platform-specific firmwares executing in M-mode.
 .
 The following firmware platforms are provided:
 generic

=== debian/rules ===
#!/usr/bin/make -f

# Enable verbose build by default, disable when terse is specified.
ifeq (,$(filter terse,$(DEB_BUILD_OPTIONS)))
VERBOSE=1
else
VERBOSE=0
endif

%:
	dh $@

override_dh_auto_build:
	# Always set CROSS_COMPILE, which also works for native builds.
	# Strip binaries, since dh_strip may not be called for arch:all.
	CROSS_COMPILE=riscv64-linux-gnu- make \
		V=$(VERBOSE) \
		FW_PAYLOAD=n \
		PLATFORM=generic ; \
	for elffile in build/platform/generic/firmware/fw_*.elf ; do \
		riscv64-linux-gnu-strip --remove-section=.comment \
			--remove-section=.note \
			$${elffile} ; \
	done

override_dh_installdocs:
	dh_installdocs --exclude=doxygen.cfg

override_dh_install:
	chmod -x build/platform/generic/firmware/fw_*.bin
	dh_install

## opensbi 1.0

=== Makefile ===
#
# SPDX-License-Identifier: BSD-2-Clause
#
# Copyright (c) 2019 Western Digital Corporation or its affiliates.
#
# Authors:
#   Anup Patel <anup.patel@wdc.com>
#

# Select Make Options:
# o  Do not use make's built-in rules
# o  Do not print "Entering directory ...";
MAKEFLAGS += -r --no-print-directory

# Readlink -f requires GNU readlink
ifeq ($(shell uname -s),Darwin)
READLINK ?= greadlink
else
READLINK ?= readlink
endif

# Find out source, build, and install directories
src_dir=$(CURDIR)
ifdef O
 build_dir=$(shell $(READLINK) -f $(O))
else
 build_dir=$(CURDIR)/build
endif
ifeq ($(build_dir),$(CURDIR))
$(error Build directory is same as source directory.)
endif
install_root_dir_default=$(CURDIR)/install
ifdef I
 install_root_dir=$(shell $(READLINK) -f $(I))
else
 install_root_dir=$(install_root_dir_default)/usr
endif
ifeq ($(install_root_dir),$(CURDIR))
$(error Install root directory is same as source directory.)
endif
ifeq ($(install_root_dir),$(build_dir))
$(error Install root directory is same as build directory.)
endif
ifdef PLATFORM_DIR
  platform_dir_path=$(shell $(READLINK) -f $(PLATFORM_DIR))
  ifdef PLATFORM
    platform_parent_dir=$(platform_dir_path)
  else
    PLATFORM=$(shell basename $(platform_dir_path))
    platform_parent_dir=$(subst $(PLATFORM),,$(platform_dir_path))
  endif
else
 platform_parent_dir=$(src_dir)/platform
endif

# Check if verbosity is ON for build process
CMD_PREFIX_DEFAULT := @
ifeq ($(V), 1)
	CMD_PREFIX :=
else
	CMD_PREFIX := $(CMD_PREFIX_DEFAULT)
endif

# Setup path of directories
export platform_subdir=$(PLATFORM)
export platform_src_dir=$(platform_parent_dir)/$(platform_subdir)
export platform_build_dir=$(build_dir)/platform/$(platform_subdir)
export include_dir=$(CURDIR)/include
export libsbi_dir=$(CURDIR)/lib/sbi
export libsbiutils_dir=$(CURDIR)/lib/utils
export firmware_dir=$(CURDIR)/firmware

# Find library version
OPENSBI_VERSION_MAJOR=`grep "define OPENSBI_VERSION_MAJOR" $(include_dir)/sbi/sbi_version.h | sed 's/.*MAJOR.*\([0-9][0-9]*\)/\1/'`
OPENSBI_VERSION_MINOR=`grep "define OPENSBI_VERSION_MINOR" $(include_dir)/sbi/sbi_version.h | sed 's/.*MINOR.*\([0-9][0-9]*\)/\1/'`
OPENSBI_VERSION_GIT=$(shell if [ -d $(src_dir)/.git ]; then git describe 2> /dev/null; fi)

# Setup compilation commands
ifneq ($(LLVM),)
CC		=	clang
AR		=	llvm-ar
LD		=	ld.lld
OBJCOPY		=	llvm-objcopy
else
ifdef CROSS_COMPILE
CC		=	$(CROSS_COMPILE)gcc
AR		=	$(CROSS_COMPILE)ar
LD		=	$(CROSS_COMPILE)ld
OBJCOPY		=	$(CROSS_COMPILE)objcopy
else
CC		?=	gcc
AR		?=	ar
LD		?=	ld
OBJCOPY		?=	objcopy
endif
endif
CPP		=	$(CC) -E
AS		=	$(CC)
DTC		=	dtc

ifneq ($(shell $(CC) --version 2>&1 | head -n 1 | grep clang),)
CC_IS_CLANG	=	y
else
CC_IS_CLANG	=	n
endif

ifneq ($(shell $(LD) --version 2>&1 | head -n 1 | grep LLD),)
LD_IS_LLD	=	y
else
LD_IS_LLD	=	n
endif

ifeq ($(CC_IS_CLANG),y)
ifneq ($(CROSS_COMPILE),)
CLANG_TARGET	=	--target=$(notdir $(CROSS_COMPILE:%-=%))
endif
endif

# Guess the compiler's XLEN
OPENSBI_CC_XLEN := $(shell TMP=`$(CC) $(CLANG_TARGET) -dumpmachine | sed 's/riscv\([0-9][0-9]\).*/\1/'`; echo $${TMP})

# Guess the compiler's ABI and ISA
ifneq ($(CC_IS_CLANG),y)
OPENSBI_CC_ABI := $(shell TMP=`$(CC) -v 2>&1 | sed -n 's/.*\(with\-abi=\([a-zA-Z0-9]*\)\).*/\2/p'`; echo $${TMP})
OPENSBI_CC_ISA := $(shell TMP=`$(CC) -v 2>&1 | sed -n 's/.*\(with\-arch=\([a-zA-Z0-9]*\)\).*/\2/p'`; echo $${TMP})
endif

# Setup platform XLEN
ifndef PLATFORM_RISCV_XLEN
  ifeq ($(OPENSBI_CC_XLEN), 32)
    PLATFORM_RISCV_XLEN = 32
  else
    PLATFORM_RISCV_XLEN = 64
  endif
endif

ifeq ($(CC_IS_CLANG),y)
ifeq ($(CROSS_COMPILE),)
CLANG_TARGET	=	--target=riscv$(PLATFORM_RISCV_XLEN)-unknown-elf
endif
endif

ifeq ($(LD_IS_LLD),y)
RELAX_FLAG	=	-mno-relax
USE_LD_FLAG	=	-fuse-ld=lld
else
USE_LD_FLAG	=	-fuse-ld=bfd
endif

# Check whether the linker supports creating PIEs
OPENSBI_LD_PIE := $(shell $(CC) $(CLANG_TARGET) $(RELAX_FLAG) $(USE_LD_FLAG) -fPIE -nostdlib -Wl,-pie -x c /dev/null -o /dev/null >/dev/null 2>&1 && echo y || echo n)

# Check whether the compiler supports -m(no-)save-restore
CC_SUPPORT_SAVE_RESTORE := $(shell $(CC) $(CLANG_TARGET) $(RELAX_FLAG) -nostdlib -mno-save-restore -x c /dev/null -o /dev/null 2>&1 | grep "\-save\-restore" >/dev/null && echo n || echo y)

# Build Info:
# OPENSBI_BUILD_TIME_STAMP -- the compilation time stamp
# OPENSBI_BUILD_COMPILER_VERSION -- the compiler version info
BUILD_INFO ?= n
ifeq ($(BUILD_INFO),y)
OPENSBI_BUILD_DATE_FMT = +%Y-%m-%d %H:%M:%S %z
ifdef SOURCE_DATE_EPOCH
	OPENSBI_BUILD_TIME_STAMP ?= $(shell date -u -d "@$(SOURCE_DATE_EPOCH)" \
		"$(OPENSBI_BUILD_DATE_FMT)" 2>/dev/null || \
		date -u -r "$(SOURCE_DATE_EPOCH)" \
		"$(OPENSBI_BUILD_DATE_FMT)" 2>/dev/null || \
		date -u "$(OPENSBI_BUILD_DATE_FMT)")
else
	OPENSBI_BUILD_TIME_STAMP ?= $(shell date "$(OPENSBI_BUILD_DATE_FMT)")
endif
OPENSBI_BUILD_COMPILER_VERSION=$(shell $(CC) -v 2>&1 | grep ' version ' | \
	sed 's/[[:space:]]*$$//')
endif

# Setup list of objects.mk files
ifdef PLATFORM
platform-object-mks=$(shell if [ -d $(platform_src_dir)/ ]; then find $(platform_src_dir) -iname "objects.mk" | sort -r; fi)
endif
libsbi-object-mks=$(shell if [ -d $(libsbi_dir) ]; then find $(libsbi_dir) -iname "objects.mk" | sort -r; fi)
libsbiutils-object-mks=$(shell if [ -d $(libsbiutils_dir) ]; then find $(libsbiutils_dir) -iname "objects.mk" | sort -r; fi)
firmware-object-mks=$(shell if [ -d $(firmware_dir) ]; then find $(firmware_dir) -iname "objects.mk" | sort -r; fi)

# Include platform specifig config.mk
ifdef PLATFORM
include $(platform_src_dir)/config.mk
endif

# Include all object.mk files
ifdef PLATFORM
include $(platform-object-mks)
endif
include $(libsbi-object-mks)
include $(libsbiutils-object-mks)
include $(firmware-object-mks)

# Setup list of objects
libsbi-objs-path-y=$(foreach obj,$(libsbi-objs-y),$(build_dir)/lib/sbi/$(obj))
libsbiutils-objs-path-y=$(foreach obj,$(libsbiutils-objs-y),$(build_dir)/lib/utils/$(obj))
ifdef PLATFORM
platform-objs-path-y=$(foreach obj,$(platform-objs-y),$(platform_build_dir)/$(obj))
firmware-bins-path-y=$(foreach bin,$(firmware-bins-y),$(platform_build_dir)/firmware/$(bin))
endif
firmware-elfs-path-y=$(firmware-bins-path-y:.bin=.elf)
firmware-objs-path-y=$(firmware-bins-path-y:.bin=.o)

# Setup list of deps files for objects
deps-y=$(platform-objs-path-y:.o=.dep)
deps-y+=$(libsbi-objs-path-y:.o=.dep)
deps-y+=$(libsbiutils-objs-path-y:.o=.dep)
deps-y+=$(firmware-objs-path-y:.o=.dep)

# Setup platform ABI, ISA and Code Model
ifndef PLATFORM_RISCV_ABI
  ifneq ($(PLATFORM_RISCV_TOOLCHAIN_DEFAULT), 1)
    ifeq ($(PLATFORM_RISCV_XLEN), 32)
      PLATFORM_RISCV_ABI = ilp$(PLATFORM_RISCV_XLEN)
    else
      PLATFORM_RISCV_ABI = lp$(PLATFORM_RISCV_XLEN)
    endif
  else
    PLATFORM_RISCV_ABI = $(OPENSBI_CC_ABI)
  endif
endif
ifndef PLATFORM_RISCV_ISA
  ifneq ($(PLATFORM_RISCV_TOOLCHAIN_DEFAULT), 1)
    PLATFORM_RISCV_ISA = rv$(PLATFORM_RISCV_XLEN)imafdc
  else
    PLATFORM_RISCV_ISA = $(OPENSBI_CC_ISA)
  endif
endif
ifndef PLATFORM_RISCV_CODE_MODEL
  PLATFORM_RISCV_CODE_MODEL = medany
endif

# Setup install directories
ifdef INSTALL_INCLUDE_PATH
	install_include_path=$(INSTALL_INCLUDE_PATH)
else
	install_include_path=include
endif
ifdef INSTALL_LIB_PATH
	install_lib_path=$(INSTALL_LIB_PATH)
else
	ifneq ($(origin INSTALL_LIB_SUBDIR), undefined)
		install_lib_subdir=$(INSTALL_LIB_SUBDIR)
	else
		install_lib_subdir=$(PLATFORM_RISCV_ABI)
	endif
	install_lib_path=lib$(subst 32,,$(PLATFORM_RISCV_XLEN))/$(install_lib_subdir)
endif
ifdef INSTALL_FIRMWARE_PATH
	install_firmware_path=$(INSTALL_FIRMWARE_PATH)
else
	install_firmware_path=share/opensbi/$(PLATFORM_RISCV_ABI)
endif
ifdef INSTALL_DOCS_PATH
	install_docs_path=$(INSTALL_DOCS_PATH)
else
	install_docs_path=share/opensbi/docs
endif

# Setup compilation commands flags
ifeq ($(CC_IS_CLANG),y)
GENFLAGS	+=	$(CLANG_TARGET)
GENFLAGS	+=	-Wno-unused-command-line-argument
endif
GENFLAGS	+=	-I$(platform_src_dir)/include
GENFLAGS	+=	-I$(include_dir)
ifneq ($(OPENSBI_VERSION_GIT),)
GENFLAGS	+=	-DOPENSBI_VERSION_GIT="\"$(OPENSBI_VERSION_GIT)\""
endif
ifeq ($(BUILD_INFO),y)
GENFLAGS	+=	-DOPENSBI_BUILD_TIME_STAMP="\"$(OPENSBI_BUILD_TIME_STAMP)\""
GENFLAGS	+=	-DOPENSBI_BUILD_COMPILER_VERSION="\"$(OPENSBI_BUILD_COMPILER_VERSION)\""
endif
GENFLAGS	+=	$(libsbiutils-genflags-y)
GENFLAGS	+=	$(platform-genflags-y)
GENFLAGS	+=	$(firmware-genflags-y)

CFLAGS		=	-g -Wall -Werror -ffreestanding -nostdlib -fno-stack-protector -fno-strict-aliasing -O2
CFLAGS		+=	-fno-omit-frame-pointer -fno-optimize-sibling-calls -mstrict-align
# enable -m(no-)save-restore option by CC_SUPPORT_SAVE_RESTORE
ifeq ($(CC_SUPPORT_SAVE_RESTORE),y)
CFLAGS		+=	-mno-save-restore
endif
CFLAGS		+=	-mabi=$(PLATFORM_RISCV_ABI) -march=$(PLATFORM_RISCV_ISA)
CFLAGS		+=	-mcmodel=$(PLATFORM_RISCV_CODE_MODEL)
CFLAGS		+=	$(RELAX_FLAG)
CFLAGS		+=	$(GENFLAGS)
CFLAGS		+=	$(platform-cflags-y)
CFLAGS		+=	-fno-pie -no-pie
CFLAGS		+=	$(firmware-cflags-y)

CPPFLAGS	+=	$(GENFLAGS)
CPPFLAGS	+=	$(platform-cppflags-y)
CPPFLAGS	+=	$(firmware-cppflags-y)

ASFLAGS		=	-g -Wall -nostdlib
ASFLAGS		+=	-fno-omit-frame-pointer -fno-optimize-sibling-calls -mstrict-align
# enable -m(no-)save-restore option by CC_SUPPORT_SAVE_RESTORE
ifeq ($(CC_SUPPORT_SAVE_RESTORE),y)
ASFLAGS		+=	-mno-save-restore
endif
ASFLAGS		+=	-mabi=$(PLATFORM_RISCV_ABI) -march=$(PLATFORM_RISCV_ISA)
ASFLAGS		+=	-mcmodel=$(PLATFORM_RISCV_CODE_MODEL)
ASFLAGS		+=	$(RELAX_FLAG)
ifneq ($(CC_IS_CLANG),y)
ifneq ($(RELAX_FLAG),)
ASFLAGS		+=	-Wa,$(RELAX_FLAG)
endif
endif
ASFLAGS		+=	$(GENFLAGS)
ASFLAGS		+=	$(platform-asflags-y)
ASFLAGS		+=	$(firmware-asflags-y)

ARFLAGS		=	rcs

ELFFLAGS	+=	$(USE_LD_FLAG)
ELFFLAGS	+=	-Wl,--build-id=none -Wl,-N
ELFFLAGS	+=	$(platform-ldflags-y)
ELFFLAGS	+=	$(firmware-ldflags-y)

MERGEFLAGS	+=	-r
ifeq ($(LD_IS_LLD),y)
MERGEFLAGS	+=	-b elf
else
MERGEFLAGS	+=	-b elf$(PLATFORM_RISCV_XLEN)-littleriscv
endif
MERGEFLAGS	+=	-m elf$(PLATFORM_RISCV_XLEN)lriscv

DTSCPPFLAGS	=	$(CPPFLAGS) -nostdinc -nostdlib -fno-builtin -D__DTS__ -x assembler-with-cpp

# Setup functions for compilation
define dynamic_flags
-I$(shell dirname $(2)) -D__OBJNAME__=$(subst -,_,$(shell basename $(1) .o))
endef
merge_objs = $(CMD_PREFIX)mkdir -p `dirname $(1)`; \
	     echo " MERGE     $(subst $(build_dir)/,,$(1))"; \
	     $(LD) $(MERGEFLAGS) $(2) -o $(1)
merge_deps = $(CMD_PREFIX)mkdir -p `dirname $(1)`; \
	     echo " MERGE-DEP $(subst $(build_dir)/,,$(1))"; \
	     cat $(2) > $(1)
copy_file =  $(CMD_PREFIX)mkdir -p `dirname $(1)`; \
	     echo " COPY      $(subst $(build_dir)/,,$(1))"; \
	     cp -f $(2) $(1)
inst_file =  $(CMD_PREFIX)mkdir -p `dirname $(1)`; \
	     echo " INSTALL   $(subst $(install_root_dir)/,,$(1))"; \
	     cp -f $(2) $(1)
inst_file_list = $(CMD_PREFIX)if [ ! -z "$(4)" ]; then \
	     mkdir -p $(1)/$(3); \
	     for file in $(4) ; do \
	     rel_file=`echo $$file | sed -e 's@$(2)/$(subst $(install_firmware_path),platform,$(3))@@'`; \
	     dest_file=$(1)"/"$(3)"/"`echo $$rel_file`; \
	     dest_dir=`dirname $$dest_file`; \
	     echo " INSTALL   "$(3)"/"`echo $$rel_file`; \
	     mkdir -p $$dest_dir; \
	     cp -f $$file $$dest_file; \
	     done \
	     fi
inst_header_dir =  $(CMD_PREFIX)mkdir -p $(1); \
	     echo " INSTALL   $(subst $(install_root_dir)/,,$(1))"; \
	     cp -rf $(2) $(1)
compile_cpp = $(CMD_PREFIX)mkdir -p `dirname $(1)`; \
	     echo " CPP       $(subst $(build_dir)/,,$(1))"; \
	     $(CPP) $(CPPFLAGS) -x c $(2) | grep -v "\#" > $(1)
compile_cc_dep = $(CMD_PREFIX)mkdir -p `dirname $(1)`; \
	     echo " CC-DEP    $(subst $(build_dir)/,,$(1))"; \
	     printf %s `dirname $(1)`/  > $(1) && \
	     $(CC) $(CFLAGS) $(call dynamic_flags,$(1),$(2))   \
	       -MM $(2) >> $(1) || rm -f $(1)
compile_cc = $(CMD_PREFIX)mkdir -p `dirname $(1)`; \
	     echo " CC        $(subst $(build_dir)/,,$(1))"; \
	     $(CC) $(CFLAGS) $(call dynamic_flags,$(1),$(2)) -c $(2) -o $(1)
compile_as_dep = $(CMD_PREFIX)mkdir -p `dirname $(1)`; \
	     echo " AS-DEP    $(subst $(build_dir)/,,$(1))"; \

=== debian/changelog ===
opensbi (1.0-3ubuntu1) jammy; urgency=medium

  * debian/patches:
    + Replace update-isa-spec.patch with the upstream variant that allows both
      old toolchains and new toolchains that support the new ISA spec to build
      openSBI
  * debian/control:
    + Update maintainer to Ubuntu developers

 -- Alexandre Ghiti <alexandre.ghiti@canonical.com>  Mon, 14 Feb 2022 10:24:09 +0100

opensbi (1.0-3) unstable; urgency=medium

  * debian/patches: Fix reset on hifive unmatched.

 -- Vagrant Cascadian <vagrant@debian.org>  Wed, 26 Jan 2022 16:27:35 -0800

opensbi (1.0-2) unstable; urgency=medium

  * debian/patches: Update to newer default ISA spec.
    Thanks to Aurelien Jarno!
  * debian/control: Add versioned Build-Depends on binutils.

 -- Vagrant Cascadian <vagrant@debian.org>  Wed, 26 Jan 2022 11:17:27 -0800

opensbi (1.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches: Remove patch, fixed upstream.

 -- Vagrant Cascadian <vagrant@debian.org>  Fri, 24 Dec 2021 10:49:59 -0800

opensbi (0.9+187.52af6e4-1) experimental; urgency=medium

  * New upstream git snapshot.
  * debian/copyright: Update for new version.
  * debian/patches: Patch Makefile to pass -ffile-prefix-map via CFLAGS.

 -- Vagrant Cascadian <vagrant@debian.org>  Thu, 18 Nov 2021 12:39:39 -0800

opensbi (0.9-3) unstable; urgency=medium

  * debian/control: Update Standards-Version to 4.6.0, no changes.

 -- Vagrant Cascadian <vagrant@debian.org>  Wed, 08 Sep 2021 20:31:24 -0700

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,10 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Vagrant Cascadian <vagrant@debian.org>
 Uploaders: Karsten Merker <merker@debian.org>
-Build-Depends: debhelper-compat (=12),
+Build-Depends: debhelper-compat (=13),
+ binutils (>= 2.37.90.20220123-2~),
  gcc-riscv64-linux-gnu,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/opensbi-team/opensbi
 Vcs-Git: https://salsa.debian.org/opensbi-team/opensbi.git

## opensbi 1.1

=== debian/changelog ===
opensbi (1.1-2) unstable; urgency=medium

  [ Lintian Brush ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Heinrich Schuchardt ]
  * Fix emulation of fence.tso hanging in endless loop on Allwinner D1
    d/p/lib-sbi_illegal_insn-Fix-FENCE.TSO-emulation-infinit.patch (LP:
    #1995860) (Closes: #1023616)

 -- Vagrant Cascadian <vagrant@debian.org>  Thu, 24 Nov 2022 21:45:21 -0800

opensbi (1.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches: Remove patches, applied upstream.
  * debian/copyright: Update for version 1.1.
  * debian/control: Update Standards-Version to 4.6.1.
  * Refresh lintian overrides.

 -- Vagrant Cascadian <vagrant@debian.org>  Thu, 30 Jun 2022 15:14:17 -0700

opensbi (1.0-4) unstable; urgency=medium

  * debian/patches: Use upstream patch to fix compatibility with binutils
    2.38+.
  * debian/control: Drop versioned Build-Depends on binutils.
  * debian/bin/git-snapshot: Switch to tar.gz format. (Closes: #1003155)

 -- Vagrant Cascadian <vagrant@debian.org>  Sat, 26 Mar 2022 16:47:21 -0700

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,11 @@
 Source: opensbi
 Section: misc
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Vagrant Cascadian <vagrant@debian.org>
+Maintainer: Vagrant Cascadian <vagrant@debian.org>
 Uploaders: Karsten Merker <merker@debian.org>
 Build-Depends: debhelper-compat (=13),
- binutils (>= 2.37.90.20220123-2~),
  gcc-riscv64-linux-gnu,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/opensbi-team/opensbi
 Vcs-Git: https://salsa.debian.org/opensbi-team/opensbi.git

## opensbi 1.3

=== debian/changelog ===
opensbi (1.3-1ubuntu0.22.04.2) jammy-security; urgency=medium

  * No-change rebuild in the -security pocket.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 28 Nov 2023 13:09:48 -0500

opensbi (1.3-1ubuntu0.22.04.1) jammy; urgency=medium

  * SRU OpenSBI 1.3 to Jammy (LP: #2026588)

 -- Heinrich Schuchardt <heinrich.schuchardt@canonical.com>  Mon, 10 Jul 2023 09:26:57 +0200

opensbi (1.3-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright: Update for v1.3.

 -- Vagrant Cascadian <vagrant@debian.org>  Fri, 30 Jun 2023 17:33:03 -0700

opensbi (1.2-1) unstable; urgency=medium

  * debian/watch: Update for new upstream source location.
  * Update upstream URLs.
  * debian/copyright: Update for v1.2.
  * debian/patches: Drop all patches, applied upstream.
  * debian/control: Add Build-Depends on python3.
  * debian/control: Update to Standards-Version 4.6.2.

 -- Vagrant Cascadian <vagrant@debian.org>  Sat, 17 Jun 2023 19:22:39 -0700

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,17 @@
 Source: opensbi
 Section: misc
 Priority: optional
-Maintainer: Vagrant Cascadian <vagrant@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Vagrant Cascadian <vagrant@debian.org>
 Uploaders: Karsten Merker <merker@debian.org>
 Build-Depends: debhelper-compat (=13),
  gcc-riscv64-linux-gnu,
-Standards-Version: 4.6.1
+ python3,
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/opensbi-team/opensbi
 Vcs-Git: https://salsa.debian.org/opensbi-team/opensbi.git
-Homepage: https://github.com/riscv/opensbi
+Homepage: https://github.com/riscv-software-src/opensbi
 
 Package: opensbi
 Architecture: all

## opensbi 1.3.1

=== debian/changelog ===
opensbi (1.3.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright: Update for v1.3.1.

 -- Vagrant Cascadian <vagrant@debian.org>  Tue, 25 Jul 2023 18:28:38 -0700

=== debian/watch ===
version=4
opts=filenamemangle=s/\/(.*)v/@PACKAGE@-/ \
   https://github.com/riscv-software-src/@PACKAGE@/tags .*/v@ANY_VERSION@.tar.gz
